You are not logged in.

#2501 2014-04-07 05:43:37

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 783

Re: Progress on Unity under Arch Linux!

qiuwei wrote:
chenxiaolong wrote:

I'm almost finished with GNOME 3.12 compatibility (well, maybe not all features, but at least no crashes) smile This may very well be the first time we have working Unity at the same time a new version of GNOME lands in [extra].

Cool! Thanks for your hard work! And will we have the new integrated menu?

Thanks! Yes, we will finally have the new locally integrated menus:

O6ryqfvs.png

We also have the new Unity lock screen instead of the ugly old gnome-screensaver 3.6:

LcDEoMFs.jpg

Some other changes I've fixed/added in the last few days:

  • The overlay-scrollbar bug in gnome-control-center is a lot worse GNOME 3.12. Instead of making the background black, it's now transparent. I've worked around this by patching gnome-control-center to not load the overlay scrollbars: https://github.com/chenxiaolong/Unity-f … e580b4cad8

N9I41QUs.pngMFbt6RHs.png

  • I've added systemd support to indicator-datetime so the timezone shows correctly now. The new version of indicator-datetime only works with /etc/timezone, which Arch Linux has already stopped using for a long time.
    Commit: https://github.com/chenxiaolong/Unity-f … a45ae63633

  • The Unity crashing issue from the bad updates before is fixed! It turns out it was due to a missing file: /usr/share/applications/bamf.index. Ubuntu's apt-get regenerates that file whenever a GUI application is installed, but pacman doesn't support this, so the bamf package now has a "bamfwatcher" service watches for changes in /usr/share/applications/ and updates that file if needed.
    Commit: https://github.com/chenxiaolong/Unity-f … 252470fb5b

  • The translations for all Unity packages have been removed and all of the translations are now in a new "unity-language-packs" package. This way, it's very easy to update to the latest translations. (Even though the final package is only 4.4 MB, the PKGBUILD downloads 572 tar.gz files that take 2.6 GB of space during build smile)
    PKGBUILD: https://github.com/chenxiaolong/Unity-f … s/PKGBUILD

Remaining bugs

  • All of the GNOME 3.12 applications are extremely ugly in Unity

XpDCshRs.jpg

  • The power indicator does not show the correct battery percentage (mine has been stuck at 84% for the past 3 days, even after rebooting)
    EDIT: Fixed! I've ported indicator-power to use the upower 0.99 and systemd-logind APIs so it can receive battery percentage, unplugging, etc. updates properly: https://github.com/chenxiaolong/Unity-f … 61bf6bba85

But other than that, everything is working pretty well.

Last edited by chenxiaolong (2014-04-10 17:55:12)

Offline

#2502 2014-04-07 14:41:32

py_crash
Member
From: Resistencia
Registered: 2013-05-28
Posts: 10

Re: Progress on Unity under Arch Linux!

Hi! I'm having problems with Gnome apps in unity. E.g: gnome-control-center-ubuntu:

Captura_de_pantalla_de_2014_04_05_05_53_33.jpg


Also the HUD is not working, it opens when i hit tab but it won't return anything when i write on it. It's kind of frustrating since it's (for me) the best unity feature

Offline

#2503 2014-04-07 17:37:59

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 783

Re: Progress on Unity under Arch Linux!

py_crash wrote:

Hi! I'm having problems with Gnome apps in unity. E.g: gnome-control-center-ubuntu:

http://s27.postimg.org/h2jo2505r/Captura_de_pantalla_de_2014_04_05_05_53_33.jpg


Also the HUD is not working, it opens when i hit tab but it won't return anything when i write on it. It's kind of frustrating since it's (for me) the best unity feature

Both issues are already fixed in the new packages smile (but those won't be available until GNOME 3.12 lands in Arch's [extra] repo).

HUD will be working too:

BUIPaWGs.png

Offline

#2504 2014-04-08 15:47:45

py_crash
Member
From: Resistencia
Registered: 2013-05-28
Posts: 10

Re: Progress on Unity under Arch Linux!

Both issues are already fixed in the new packages smile (but those won't be available until GNOME 3.12 lands in Arch's [extra] repo).

HUD will be working too:

http://i.imgur.com/BUIPaWGs.png

Thanks! Waiting foward then!

Offline

#2505 2014-04-08 21:34:51

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 783

Re: Progress on Unity under Arch Linux!

sb56637 wrote:

Thanks very much chenxiaolong! Those packages fixed Unity, and it's stable as a rock now. Very impressive work! It's amazing to see Unity running like this on an Arch system. big_smile

My only complaint has to do with Zeitgeist. I'm not sure if it's specific to this Arch port of Unity or not, since I haven't used Ubuntu for a while. But when I used to use Ubuntu, the search seemed to produce more intelligent results. This time with Unity+Arch, frequently used applications are not given priority in the search results unless I log out and log back in again. Likewise, a search for random text "dsfdsafsdfsdf" brings up a bunch of bogus file results.

Additionally, is there any way to make it mix applications and files in the search results depending on what I use more frequently? For example, if I start typing "calc", it will show me the calculator first in the applications. But what if I have a file named "calc-monthly-2014.ods" that I use more frequently? I would prefer that to appear first.

Finally, is there any way to navigate and select search results with TAB to move forward? It feels a lot more natural.

Thanks again for your hard work on this, we're thrilled to have this available.

Hey sb56637, I just made changes to the unity-scope-home and zeitgeist-ubuntu packages that fix many of the issues we were having before (like the random search term returning bogus results). The new packages will be available when GNOME 3.12 lands in the [extra] repo.

As far as mixing the applications and files, I'm afraid that's not possible right now. Unity is currently designed to keep the lenses and their results in separate sections and the order in which they appear is hard-coded.

Offline

#2506 2014-04-09 03:54:14

horsemanoffaith
Member
Registered: 2013-05-10
Posts: 181

Re: Progress on Unity under Arch Linux!

I have a couple of problems. First of all, I have no Skype or Clementine icons in my taskbar. Everything that I am reading says it has to do with Qt and sni-qt, both of which are installed on my system. I have been able to start Skype just fine, but now, I cannot get Clementine to show up at all. It looks as thought it starts using the command line, but I never see the window. Any help?

Offline

#2507 2014-04-09 04:17:21

horsemanoffaith
Member
Registered: 2013-05-10
Posts: 181

Re: Progress on Unity under Arch Linux!

Okay, now this is really weird... I mentioned that I can't start Clementine. Well, I did sudo clementine, and it starts some times, and other times it does not. It seems to be linked to the settings I have in qtconfig-qt4, but I'm not positive. When I start Clementine normally, it shows up in gnome-system-monitor, but I never see the window show up. WEIRD!!!

Offline

#2508 2014-04-09 05:15:34

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 783

Re: Progress on Unity under Arch Linux!

horsemanoffaith wrote:

I have a couple of problems. First of all, I have no Skype or Clementine icons in my taskbar. Everything that I am reading says it has to do with Qt and sni-qt, both of which are installed on my system. I have been able to start Skype just fine, but now, I cannot get Clementine to show up at all. It looks as thought it starts using the command line, but I never see the window. Any help?

This is another thing that is already fixed with new packages (with GNOME 3.12) smile

YRuvpeWs.png

In the meantime, you can force Clementine and Skype to use the regular system tray icons by removing sni-qt and then unhiding them by adding 'all' in dconf-editor:

23eiobKs.png

EDIT: Regarding the missing window, Clementine minimizes to the system tray icon and Unity hides those tray icons by default. The dconf-editor trick should give you back the icon so you can open the main window again.

Last edited by chenxiaolong (2014-04-09 05:17:07)

Offline

#2509 2014-04-09 16:51:33

sb56637
Member
Registered: 2009-02-18
Posts: 63

Re: Progress on Unity under Arch Linux!

chenxiaolong wrote:

Hey sb56637, I just made changes to the unity-scope-home and zeitgeist-ubuntu packages that fix many of the issues we were having before (like the random search term returning bogus results). The new packages will be available when GNOME 3.12 lands in the [extra] repo.

Great! Can't wait to try it. Thanks so much!

Offline

#2510 2014-04-10 17:57:58

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 783

Re: Progress on Unity under Arch Linux!

The issue where the power indicator is stuck at a certain percentage is now fixed smile I've ported indicator-power to the upower 0.99 and systemd-logind APIs so it can get the percentage, etc. updates properly.

Commit: https://github.com/chenxiaolong/Unity-f … 61bf6bba85

Are there any other long standing bugs I still need to fix?

Offline

#2511 2014-04-10 18:16:42

cRaZy-bisCuiT
Member
Registered: 2013-08-13
Posts: 29

Re: Progress on Unity under Arch Linux!

No offense at all, but why would anyone in the world like to run Arch with Unity?

Offline

#2512 2014-04-11 03:45:08

horsemanoffaith
Member
Registered: 2013-05-10
Posts: 181

Re: Progress on Unity under Arch Linux!

cRaZy-bisCuiT wrote:

No offense at all, but why would anyone in the world like to run Arch with Unity?

Because some of us actually LIKE Unity! Unity is my favorite DE of the ones I've tried, with Cinnamon being a close second. I know Unity is a resource hog, but both my desktop and laptop are pretty beefy, so I don't really care!

Thanks, Chen, for your prompt response!!! I will be getting those issues fixed as soon as I can!!!

Offline

#2513 2014-04-11 04:04:11

ewaller
Administrator
From: Pasadena, CA
Registered: 2009-07-13
Posts: 16,815

Re: Progress on Unity under Arch Linux!

Just a reminder, that is the beauty of Free Software (as in Freedom) everyone is entitled to use their systems in whatever manner suits them.  Some like Tiling, some like Floating.  Some like Vim, some like Emacs.  Some like Spartan environments, other like fancy ones.  Vive la différence.


Nothing is too wonderful to be true, if it be consistent with the laws of nature -- Michael Faraday
Sometimes it is the people no one can imagine anything of who do the things no one can imagine. -- Alan Turing
---
How to Ask Questions the Smart Way

Offline

#2514 2014-04-14 12:02:41

py_crash
Member
From: Resistencia
Registered: 2013-05-28
Posts: 10

Re: Progress on Unity under Arch Linux!

Getting this when trying to run everpad:

Traceback (most recent call last):
  File "/usr/bin/everpad", line 9, in <module>
    load_entry_point('everpad==2.5dev', 'gui_scripts', 'everpad')()
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 351, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 2363, in load_entry_point
    return ep.load()
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 2088, in load
    entry = __import__(self.module_name, globals(),globals(), ['__name__'])
  File "/usr/lib/python2.7/site-packages/everpad/pad/indicator.py", line 4, in <module>
    from PySide.QtGui import QApplication, QSystemTrayIcon, QMenu, QCursor
ImportError: /usr/lib/python2.7/site-packages/PySide/QtGui.so: undefined symbol: _ZN7QLayout11adoptLayoutEPS_

What am I missing?

Offline

#2515 2014-04-14 17:35:43

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 783

Re: Progress on Unity under Arch Linux!

py_crash wrote:

Getting this when trying to run everpad:

Traceback (most recent call last):
  File "/usr/bin/everpad", line 9, in <module>
    load_entry_point('everpad==2.5dev', 'gui_scripts', 'everpad')()
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 351, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 2363, in load_entry_point
    return ep.load()
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 2088, in load
    entry = __import__(self.module_name, globals(),globals(), ['__name__'])
  File "/usr/lib/python2.7/site-packages/everpad/pad/indicator.py", line 4, in <module>
    from PySide.QtGui import QApplication, QSystemTrayIcon, QMenu, QCursor
ImportError: /usr/lib/python2.7/site-packages/PySide/QtGui.so: undefined symbol: _ZN7QLayout11adoptLayoutEPS_

What am I missing?

This is caused by the broken qt4-ubuntu package (which is also fixed with the GNOME 3.12 updates smile)

Offline

#2516 2014-04-14 18:32:26

py_crash
Member
From: Resistencia
Registered: 2013-05-28
Posts: 10

Re: Progress on Unity under Arch Linux!

chenxiaolong wrote:

This is caused by the broken qt4-ubuntu package (which is also fixed with the GNOME 3.12 updates smile)

I'm wating foward the update then smile

Offline

#2517 2014-04-14 22:15:58

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 783

Re: Progress on Unity under Arch Linux!

All the packages have been built and ready for release smile Just waiting for the Arch developers to move GNOME 3.12 to [extra]

(For those who use the [testing] repos, here's are the repos with the new packages: http://www.hastebin.com/getopideyu.ini)

Last edited by chenxiaolong (2014-04-14 22:17:03)

Offline

#2518 2014-04-15 11:19:50

LouisDK
Member
Registered: 2013-10-06
Posts: 8

Re: Progress on Unity under Arch Linux!

GNOME 3.12 has landed in extra. I'm looking forward to try Unity on Arch again smile

Offline

#2519 2014-04-15 12:26:20

awbs
Member
Registered: 2013-01-18
Posts: 25

Re: Progress on Unity under Arch Linux!

Hey guys,

I just updated my system with Unity on it and now I cannot get past Lightdm. After logging into it, it goes to a black screen and then back to the ligthdm login screen like nothing happened. I check journal messages for LightDM and it gives me this: (other people have had this error but I have not found a solution)

lightdm[31383]: (lightdm:31383): GLib-CRITICAL **: Source ID 14 was not found when attempting to remove it

The Source ID seems to change every boot to different numbers. I also tried re-installing glib but it does not fix the problem either.

After disabling LightDM, I ran 'startx' and gnome-session gives me this error:

gnome-session: error while loading shared libraries: libupower-glib.so.1: cannot open shared object file: No such file or directory

I re-installed upower to fix this but it does not resolve the problem, the error message seems to disappear but reappears if you try to run startx (which executes: gnome-session --session=ubuntu) again. Here is the list of packages I upgraded yesterday night:

[2014-04-14 22:12] [PACMAN] Running 'pacman --color auto -Syy'
[2014-04-14 22:12] [PACMAN] synchronizing package lists
[2014-04-14 22:12] [PACMAN] Running 'pacman --color auto -S -u'
[2014-04-14 22:12] [PACMAN] starting full system upgrade
[2014-04-14 22:21] [PACMAN] upgraded glib2 (2.38.2-1 -> 2.40.0-1)
[2014-04-14 22:21] [PACMAN] upgraded at-spi2-core (2.10.2-1 -> 2.12.0-1)
[2014-04-14 22:21] [PACMAN] upgraded atk (2.10.0-1 -> 2.12.0-1)
[2014-04-14 22:21] [PACMAN] upgraded at-spi2-atk (2.10.2-1 -> 2.12.0-1)
[2014-04-14 22:21] [PACMAN] upgraded dconf (0.18.0-1 -> 0.20.0-1)
[2014-04-14 22:21] [PACMAN] upgraded baobab (3.10.1-1 -> 3.12.1-1)
[2014-04-14 22:21] [PACMAN] upgraded gmime (2.6.18-1 -> 2.6.20-1)
[2014-04-14 22:21] [PACMAN] upgraded glib-networking (2.38.2-1 -> 2.40.1-1)
[2014-04-14 22:21] [PACMAN] upgraded libsoup (2.44.2-1 -> 2.46.0-1)
[2014-04-14 22:21] [PACMAN] upgraded totem-plparser (3.10.1-1 -> 3.10.2-1)
[2014-04-14 22:21] [PACMAN] upgraded libtracker-sparql (0.16.4-1 -> 1.0.0-2)
[2014-04-14 22:21] [PACMAN] upgraded libsecret (0.16-2 -> 0.18-1)
[2014-04-14 22:21] [PACMAN] upgraded gvfs (1.18.3-3 -> 1.20.1-2)
[2014-04-14 22:21] [PACMAN] upgraded brasero (3.10.0-1 -> 3.11.3-1)
[2014-04-14 22:21] [PACMAN] upgraded gdk-pixbuf2 (2.30.6-1 -> 2.30.7-1)
[2014-04-14 22:21] [PACMAN] upgraded pango (1.36.3-1 -> 1.36.3-2)
[2014-04-14 22:21] [PACMAN] upgraded cogl (1.16.2-1 -> 1.18.0-1)
[2014-04-14 22:21] [PACMAN] upgraded json-glib (0.16.2-1 -> 1.0.0-1)
[2014-04-14 22:21] [PACMAN] upgraded libsystemd (212-2 -> 212-3)
[2014-04-14 22:21] [PACMAN] installed libinput (0.1.0-1)
[2014-04-14 22:21] [PACMAN] upgraded clutter (1.16.4-3 -> 1.18.0-1)
[2014-04-14 22:21] [PACMAN] upgraded clutter-gtk (1.4.4-4 -> 1.5.2-1)
[2014-04-14 22:21] [PACMAN] upgraded gtk-update-icon-cache (2.24.22-1 -> 2.24.23-1)
[2014-04-14 22:22] [PACMAN] upgraded gnome-icon-theme-symbolic (3.10.1-1 -> 3.12.0-1)
[2014-04-14 22:22] [PACMAN] upgraded gnome-icon-theme (3.10.0-1 -> 3.12.0-1)
[2014-04-14 22:22] [PACMAN] upgraded evince (3.10.3-1 -> 3.12.1-1)
[2014-04-14 22:22] [PACMAN] upgraded webkitgtk (2.2.5-2 -> 2.4.0-1)
[2014-04-14 22:22] [PACMAN] upgraded rest (0.7.90-2 -> 0.7.91-1)
[2014-04-14 22:22] [PACMAN] upgraded telepathy-glib (0.22.1-1 -> 0.24.0-1)
[2014-04-14 22:22] [PACMAN] upgraded gcr (3.10.1-3 -> 3.12.0-1)
[2014-04-14 22:22] [PACMAN] upgraded gnome-online-accounts (3.10.2-1 -> 3.12.0-1)
[2014-04-14 22:22] [PACMAN] upgraded libgweather (3.10.2-1 -> 3.12.0-1)
[2014-04-14 22:22] [PACMAN] upgraded libgdata (0.14.1-1 -> 0.15.0-1)
[2014-04-14 22:22] [PACMAN] upgraded evolution-data-server (3.10.4-1 -> 3.12.1-1)
[2014-04-14 22:22] [PACMAN] upgraded file-roller (3.10.2.1-1 -> 3.12.0-1)
[2014-04-14 22:22] [PACMAN] upgraded fontsproto (2.1.2-1 -> 2.1.3-1)
[2014-04-14 22:22] [PACMAN] upgraded gtksourceview3 (3.10.2-1 -> 3.12.0-1)
[2014-04-14 22:22] [PACMAN] upgraded gobject-introspection (1.38.0-1 -> 1.40.0-1)
[2014-04-14 22:22] [PACMAN] upgraded libpeas (1.9.0-2 -> 1.10.0-1)
[2014-04-14 22:22] [PACMAN] upgraded gedit (3.10.4-2 -> 3.12.0-1)
[2014-04-14 22:22] [PACMAN] upgraded geoclue2 (2.0.0-1 -> 2.1.4-1)
[2014-04-14 22:22] [PACMAN] upgraded geocode-glib (3.10.0-1 -> 3.12.0-1)
[2014-04-14 22:22] [PACMAN] upgraded js (17.0.0-1 -> 24.2.0-1)
[2014-04-14 22:22] [PACMAN] upgraded gjs (1.38.1-1 -> 1.40.0-1)
[2014-04-14 22:22] [PACMAN] upgraded glibmm (2.38.1-1 -> 2.40.0-1)
[2014-04-14 22:22] [PACMAN] upgraded gnome-backgrounds (3.10.1-1 -> 3.12.1-1)
[2014-04-14 22:22] [PACMAN] upgraded gnome-bluetooth (3.10.0-1 -> 3.12.0-1)
[2014-04-14 22:22] [PACMAN] upgraded gnome-calculator (3.10.2-1 -> 3.12.1-1)
[2014-04-14 22:22] [PACMAN] upgraded vte-common (0.34.9-1 -> 0.36.0-1)
[2014-04-14 22:22] [PACMAN] upgraded vte3 (0.34.9-1 -> 0.36.0-1)
[2014-04-14 22:22] [PACMAN] upgraded gnome-color-manager (3.10.1-2 -> 3.12.1-1)
[2014-04-14 22:22] [PACMAN] upgraded gnome-common (3.10.0-1 -> 3.12.0-1)
[2014-04-14 22:22] [PACMAN] upgraded gnome-desktop (1:3.10.2-1 -> 1:3.12.0-1)
[2014-04-14 22:22] [PACMAN] upgraded gnome-disk-utility (3.10.0-1 -> 3.12.0-1)
[2014-04-14 22:22] [PACMAN] upgraded gnome-icon-theme-extras (3.6.2-1 -> 3.12.0-1)
[2014-04-14 22:22] [PACMAN] upgraded gnome-keyring (3.10.1-2 -> 3.12.0-1)
[2014-04-14 22:22] [PACMAN] upgraded gnome-screenshot (3.10.1-1 -> 3.12.0-1)
[2014-04-14 22:22] [PACMAN] upgraded gtkmm3 (3.10.1-1 -> 3.12.0-1)
[2014-04-14 22:22] [PACMAN] upgraded systemd (212-2 -> 212-3)
[2014-04-14 22:22] [PACMAN] upgraded gnome-system-monitor (3.10.2-1 -> 3.12.0-1)
[2014-04-14 22:23] [PACMAN] upgraded gnome-terminal (3.10.2-1 -> 3.12.0-1)
[2014-04-14 22:23] [PACMAN] upgraded gnome-tweak-tool (3.10.1-1 -> 3.12.0-1)
[2014-04-14 22:23] [PACMAN] upgraded lcms2 (2.5-2 -> 2.6-1)
[2014-04-14 22:23] [PACMAN] upgraded imagemagick (6.8.8.9-1 -> 6.8.9.0-1)
[2014-04-14 22:23] [PACMAN] upgraded libgee (0.12.0-1 -> 0.14.0-1)
[2014-04-14 22:23] [PACMAN] upgraded libgnome-keyring (3.10.1-2 -> 3.12.0-1)
[2014-04-14 22:23] [PACMAN] upgraded libplist (1.10-1 -> 1.11-1)
[2014-04-14 22:23] [PACMAN] installed libusbmuxd (1.0.9-1)
[2014-04-14 22:23] [PACMAN] upgraded libimobiledevice (1.1.5-2 -> 1.1.6-1)
[2014-04-14 22:23] [ALPM-SCRIPTLET] >>> Updating module dependencies. Please wait ...
[2014-04-14 22:23] [ALPM-SCRIPTLET] >>> Generating initial ramdisk, using mkinitcpio.  Please wait...
[2014-04-14 22:23] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux-ck.preset: 'default'
[2014-04-14 22:23] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux-ck -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-ck.img
[2014-04-14 22:23] [ALPM-SCRIPTLET] ==> Starting build: 3.13.10-1-ck
[2014-04-14 22:23] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2014-04-14 22:23] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2014-04-14 22:23] [ALPM-SCRIPTLET]   -> Running build hook: [autodetect]
[2014-04-14 22:23] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2014-04-14 22:23] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2014-04-14 22:23] [ALPM-SCRIPTLET]   -> Running build hook: [resume]
[2014-04-14 22:23] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2014-04-14 22:23] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2014-04-14 22:23] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2014-04-14 22:23] [ALPM-SCRIPTLET]   -> Running build hook: [shutdown]
[2014-04-14 22:23] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2014-04-14 22:23] [ALPM-SCRIPTLET] ==> Creating cat initcpio image: /boot/initramfs-linux-ck.img
[2014-04-14 22:23] [ALPM-SCRIPTLET] ==> Image generation successful
[2014-04-14 22:23] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux-ck.preset: 'fallback'
[2014-04-14 22:23] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux-ck -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-ck-fallback.img -S autodetect
[2014-04-14 22:23] [ALPM-SCRIPTLET] ==> Starting build: 3.13.10-1-ck
[2014-04-14 22:23] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2014-04-14 22:23] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2014-04-14 22:23] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2014-04-14 22:23] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2014-04-14 22:23] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: aic94xx
[2014-04-14 22:23] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: smsmdtv
[2014-04-14 22:23] [ALPM-SCRIPTLET]   -> Running build hook: [resume]
[2014-04-14 22:23] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2014-04-14 22:23] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2014-04-14 22:23] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2014-04-14 22:23] [ALPM-SCRIPTLET]   -> Running build hook: [shutdown]
[2014-04-14 22:23] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2014-04-14 22:23] [ALPM-SCRIPTLET] ==> Creating cat initcpio image: /boot/initramfs-linux-ck-fallback.img
[2014-04-14 22:23] [ALPM-SCRIPTLET] ==> Image generation successful
[2014-04-14 22:23] [ALPM-SCRIPTLET] 
[2014-04-14 22:23] [ALPM-SCRIPTLET] >>> Thank you for using http://repo-ck.com/ for your linux-ck package needs.
[2014-04-14 22:23] [ALPM-SCRIPTLET] >>> Note that the following CPU optimized packages are or could be available to you:
[2014-04-14 22:23] [ALPM-SCRIPTLET]  AMD   : barcelona, bobcat, bulldozer, kx, k10, piledriver
[2014-04-14 22:23] [ALPM-SCRIPTLET]  Intel : atom, core2, haswell, ivybridge, nehalem, p4, pentm, sandybridge
[2014-04-14 22:23] [ALPM-SCRIPTLET] 
[2014-04-14 22:23] [ALPM-SCRIPTLET] >>> Search via group name:  pacman -Sg ck-ivybridge
[2014-04-14 22:23] [ALPM-SCRIPTLET] 
[2014-04-14 22:23] [ALPM-SCRIPTLET] >>> Post in the repo support thread if package group is unavailable for your architecture:
[2014-04-14 22:23] [ALPM-SCRIPTLET] >>> https://bbs.archlinux.org/viewtopic.php?id=111715
[2014-04-14 22:23] [PACMAN] upgraded linux-ck-pentm (3.13.9-1 -> 3.13.10-1)
[2014-04-14 22:23] [PACMAN] upgraded linux-ck-pentm-headers (3.13.9-1 -> 3.13.10-1)
[2014-04-14 22:23] [PACMAN] upgraded logrotate (3.8.7-1 -> 3.8.7-3)
[2014-04-14 22:23] [PACMAN] upgraded man-db (2.6.6-1 -> 2.6.7.1-1)
[2014-04-14 22:23] [PACMAN] upgraded mlocate (0.26-1 -> 0.26-3)
[2014-04-14 22:23] [PACMAN] installed js17 (17.0.0-1)
[2014-04-14 22:23] [PACMAN] upgraded polkit (0.112-1 -> 0.112-2)
[2014-04-14 22:23] [PACMAN] upgraded shadow (4.1.5.1-7 -> 4.1.5.1-9)
[2014-04-14 22:23] [PACMAN] upgraded spice-gtk3 (0.24-1 -> 0.24-2)
[2014-04-14 22:23] [PACMAN] upgraded systemd-sysvcompat (212-2 -> 212-3)
[2014-04-14 22:23] [PACMAN] upgraded upower (0.9.23-2 -> 0.99.0-2)
[2014-04-14 22:23] [PACMAN] upgraded usbmuxd (1.0.8-2 -> 1.0.9-1)
[2014-04-14 22:23] [PACMAN] upgraded vinagre (3.10.2-1 -> 3.12.1-1)
[2014-04-14 22:23] [PACMAN] upgraded vino (3.10.1-2 -> 3.12.0-1)
[2014-04-14 22:23] [PACMAN] upgraded xorg-server-common (1.15.0-5 -> 1.15.1-1)
[2014-04-14 22:23] [PACMAN] upgraded xorg-server (1.15.0-5 -> 1.15.1-1)
[2014-04-14 22:23] [PACMAN] upgraded xproto (7.0.25-1 -> 7.0.26-1)
[2014-04-14 22:24] [PACMAN] Running 'pacman -Rns mash usbmuxd'
[2014-04-14 22:24] [PACMAN] removed usbmuxd (1.0.9-1)
[2014-04-14 22:24] [PACMAN] removed mash (0.2.0-3)

I upgraded to these packages this morning:

[2014-04-15 05:52] [PACMAN] Running 'pacman --color auto -Syy'
[2014-04-15 05:52] [PACMAN] synchronizing package lists
[2014-04-15 05:54] [PACMAN] Running 'pacman --color auto -S -u'
[2014-04-15 05:54] [PACMAN] starting full system upgrade
[2014-04-15 05:54] [ALPM-SCRIPTLET] /usr/share/glib-2.0/schemas/org.gnome.gedit.plugins.externaltools.gschema.xml: Error on line 7 char 31: attribute 'xml:lang' invalid for element 'summary'.  This entire file has been ignored.
[2014-04-15 05:54] [ALPM-SCRIPTLET] /usr/share/glib-2.0/schemas/org.gnome.gedit.plugins.filebrowser.gschema.xml: Error on line 7 char 31: attribute 'xml:lang' invalid for element 'summary'.  This entire file has been ignored.
[2014-04-15 05:54] [ALPM-SCRIPTLET] /usr/share/glib-2.0/schemas/org.gnome.gedit.plugins.pythonconsole.gschema.xml: Error on line 7 char 31: attribute 'xml:lang' invalid for element 'summary'.  This entire file has been ignored.
[2014-04-15 05:54] [ALPM-SCRIPTLET] /usr/share/glib-2.0/schemas/org.gnome.gedit.plugins.time.gschema.xml: Error on line 7 char 31: attribute 'xml:lang' invalid for element 'summary'.  This entire file has been ignored.
[2014-04-15 05:54] [PACMAN] upgraded file-roller (3.12.0-1 -> 3.12.1-1)
[2014-04-15 05:54] [PACMAN] upgraded gtksourceview3 (3.12.0-1 -> 3.12.1-1)
[2014-04-15 05:54] [ALPM-SCRIPTLET] /usr/share/glib-2.0/schemas/org.gnome.gedit.plugins.externaltools.gschema.xml: Error on line 7 char 31: attribute 'xml:lang' invalid for element 'summary'.  This entire file has been ignored.
[2014-04-15 05:54] [ALPM-SCRIPTLET] /usr/share/glib-2.0/schemas/org.gnome.gedit.plugins.filebrowser.gschema.xml: Error on line 7 char 31: attribute 'xml:lang' invalid for element 'summary'.  This entire file has been ignored.
[2014-04-15 05:54] [ALPM-SCRIPTLET] /usr/share/glib-2.0/schemas/org.gnome.gedit.plugins.pythonconsole.gschema.xml: Error on line 7 char 31: attribute 'xml:lang' invalid for element 'summary'.  This entire file has been ignored.
[2014-04-15 05:54] [ALPM-SCRIPTLET] /usr/share/glib-2.0/schemas/org.gnome.gedit.plugins.time.gschema.xml: Error on line 7 char 31: attribute 'xml:lang' invalid for element 'summary'.  This entire file has been ignored.
[2014-04-15 05:54] [PACMAN] upgraded gedit (3.12.0-1 -> 3.12.1-1)
[2014-04-15 05:54] [PACMAN] upgraded glib2 (2.38.2-1 -> 2.40.0-1)
[2014-04-15 05:54] [PACMAN] upgraded gnome-system-monitor (3.12.0-1 -> 3.12.1-1)

I'm not sure what to make of the glib-2.0 errors. Completely removing glib and re-installing it does not get rid of them.

I appreciate your guys help,

I have tried re-installing all of the packages but to of no avail. Do you guys have any ideas?

Last edited by awbs (2014-04-15 12:44:56)

Offline

#2520 2014-04-15 12:55:09

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 783

Re: Progress on Unity under Arch Linux!

The GNOME 3.12 compatible Unity packages have landed in the repos big_smile

Steps to upgrade

  1. Update system to all of the latest packages

    pacman -Syu
  2. Update the Unity-for-Arch packages

    pacman -Sy $(pacman -Slq Unity-for-Arch)
  3. Reinstall the Unity-for-Arch-Extra packages you use: https://github.com/chenxiaolong/Unity-f … ter/README

    # If you want all of the packages
    pacman -Sy $(pacman -Slq Unity-for-Arch-Extra)

If pacman complains about the checksums being incorrect, clear the pacman cache and try again. I forgot to update pkgrel when rebuilding some of the packages, so some of the newer packages have the same version as the older packages, which is why pacman complains.

pacman -Scc

If compiz fails to start or segfaults, try reinstalling gdk-pixbuf2 (thanks to qiuwei):

pacman -S gdk-pixbuf2

Last edited by chenxiaolong (2014-04-15 20:15:26)

Offline

#2521 2014-04-15 15:09:22

qiuwei
Member
Registered: 2009-12-18
Posts: 245

Re: Progress on Unity under Arch Linux!

After upgrading to Gnome 3.12 and the correspondant Unity packages, the unity shell failed to start up on my machine.
The lightdm, X all works. I can open the terminal on the desktop. But the launcher, the dash and the window decorations are gone.

Is there anyone else who has the same problem?

Offline

#2522 2014-04-15 16:06:12

qiuwei
Member
Registered: 2009-12-18
Posts: 245

Re: Progress on Unity under Arch Linux!

qiuwei wrote:

After upgrading to Gnome 3.12 and the correspondant Unity packages, the unity shell failed to start up on my machine.
The lightdm, X all works. I can open the terminal on the desktop. But the launcher, the dash and the window decorations are gone.

Is there anyone else who has the same problem?

It turns out to be related to this problem https://bbs.archlinux.org/viewtopic.php?id=178290.

To be short, run

 pacman -S gdk-pixbuf2

So strange, icons cache problem can cause the whole compiz segment fault.

@chenxiaolong,
Great work,  everything works like a charm:)
Thanks a lot!
However, the corners of the window decorations are not rounded anymore. There should be anti-aliased corners in this version of unity, right?

==== update ====
We do have anti-aliased corners! But most of the old themes do not have support for it yet.
Unity still doesn't work for multiple monitors.

Last edited by qiuwei (2014-04-15 16:10:28)

Offline

#2523 2014-04-15 17:14:08

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 783

Re: Progress on Unity under Arch Linux!

We now have an IRC channel! #unityforarch at Freenode

Come join us smile I'm happy to help with issues in the new packages.

Offline

#2524 2014-04-15 19:37:21

py_crash
Member
From: Resistencia
Registered: 2013-05-28
Posts: 10

Re: Progress on Unity under Arch Linux!

I runed

sudo pacman -Sy $(pacman -Slq Unity-for-Arch)

But i got this error

unity-language-packs: /usr/share/locale/af/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/am/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/ar/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/ast/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/az/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/be/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/bg/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/bn/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/bo/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/br/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/bs/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/ca/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/ca@valencia/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/cs/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/cy/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/da/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/de/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/el/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/en_AU/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/en_GB/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/eo/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/es/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/et/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/eu/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/fa/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/fi/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/fo/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/fr/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/gd/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/gl/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/gu/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/he/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/hi/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/hr/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/hu/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/id/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/is/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/it/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/ja/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/kk/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/kn/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/ko/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/kw/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/ky/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/lb/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/lt/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/lv/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/mhr/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/ml/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/mr/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/ms/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/my/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/nb/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/nl/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/oc/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/os/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/pl/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/pt/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/pt_BR/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/ro/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/ru/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/sc/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/sd/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/si/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/sk/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/sl/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/sq/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/sr/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/sv/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/tg/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/tr/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/ug/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/uk/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/uz/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/vi/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/wae/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/zh_CN/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/zh_HK/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/zh_TW/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
Ocurrieron errores, no se actualizaron paquetes

Offline

#2525 2014-04-15 19:58:40

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 783

Re: Progress on Unity under Arch Linux!

py_crash wrote:

I runed

sudo pacman -Sy $(pacman -Slq Unity-for-Arch)

But i got this error

unity-language-packs: /usr/share/locale/af/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/am/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/ar/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/ast/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/az/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/be/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/bg/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/bn/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/bo/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/br/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/bs/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/ca/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/ca@valencia/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/cs/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/cy/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/da/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/de/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/el/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/en_AU/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/en_GB/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/eo/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/es/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/et/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/eu/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/fa/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/fi/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/fo/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/fr/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/gd/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/gl/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/gu/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/he/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/hi/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/hr/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/hu/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/id/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/is/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/it/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/ja/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/kk/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/kn/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/ko/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/kw/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/ky/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/lb/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/lt/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/lv/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/mhr/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/ml/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/mr/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/ms/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/my/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/nb/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/nl/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/oc/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/os/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/pl/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/pt/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/pt_BR/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/ro/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/ru/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/sc/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/sd/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/si/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/sk/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/sl/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/sq/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/sr/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/sv/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/tg/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/tr/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/ug/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/uk/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/uz/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/vi/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/wae/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/zh_CN/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/zh_HK/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
unity-language-packs: /usr/share/locale/zh_TW/LC_MESSAGES/unity_webapps.mo existe en el sistema de archivos
Ocurrieron errores, no se actualizaron paquetes

Ah, I forgot about that. You'll need to force remove libunity-webapps. I'll release an update to fix that right now smile

sudo pacman -Rdd libunity-webapps

Offline

Board footer

Powered by FluxBB